Subject: [Bug 213] New: Spec inconsistent on PROPFIND/Depth:infinity

From: [email-masked]
Date: Sat, 31 Dec 2005 10:43:16 -0800

http://ietf.cse.ucsc.edu:8080/bugzilla/show_bug.cgi?id=213

           Summary: Spec inconsistent on PROPFIND/Depth:infinity
           Product: WebDAV-RFC2518-bis
           Version: -09
          Platform: Other
               URL: http://greenbytes.de/tech/webdav/draft-ietf-webdav-
                    rfc2518bis-09.html#rfc.section.8.2
        OS/Version: other
            Status: NEW
          Severity: major
          Priority: P2
         Component: 08.  HTTP Methods for Distributed Authoring
        AssignedTo: [email-masked]
        ReportedBy: [email-masked]
         QAContact: [email-masked]
                CC: [email-masked]

In Section 8.2:

"Servers MUST support the "0", "1" and "infinity" behaviors on WebDAV-compliant
resources."

In Section 8.2.1:

"A server MAY reject all PROPFIND requests on collections with depth header of
"Infinity", in which case it SHOULD use this error with the precondition code
'propfind-finite-depth' inside the error body."

And finally, the Changes section doesn't mention this change, although it may be
important to clients that may require this feature.

------- You are receiving this mail because: -------
You are the QA contact for the bug, or are watching the QA contact.
You are on the CC list for the bug, or are watching someone who is.